package com.topsunit.scanservice.ximai.dao;

import com.topsunit.scanservice.ximai.entity.Invml;
import com.topsunit.scanservice.ximai.entity.InvmlId;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Optional;

/**
 * Author:   Jack
 * Date:     2021/10/29 21:56
 * Description: 品号仓库库位档Dao
 */
public interface InvmlDao extends JpaRepository<Invml, InvmlId>, JpaSpecificationExecutor<Invml> {
    List<Invml> findByMl001OrderByMl002AscMl003AscMl004Asc(String ml001);
    List<Invml> findByMl001InOrderByMl002AscMl003AscMl004Asc(List<String> ml001List);
    /*
    关联通知单查询库明细
     */
    @Query(value = "select il.* from COPTO co left join INVML il on il.ML001 = co.TO007 where TO001 = :to001 and TO002 = :to002", nativeQuery = true)
    List<Invml> findWithCopto(@Param(value = "to001") String to001, @Param(value = "to002") String to002);
}
