package com.topsunit.scanservice.ximai.service;

import cn.hutool.core.util.StrUtil;
import com.topsunit.scanservice.ximai.dao.CoptoDao;
import com.topsunit.scanservice.ximai.dto.StockSaleOutDto;
import com.topsunit.scanservice.ximai.dto.StockSaleOutQueryParams;
import com.topsunit.scanservice.ximai.entity.Copto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class CoptoService {

    @Autowired
    private CoptoDao coptoDao;

    public StockSaleOutDto getStockSaleOutDto(StockSaleOutQueryParams params){
        StockSaleOutDto rst = new StockSaleOutDto();
        List<StockSaleOutDto.StockSaleOutDetail> data = new ArrayList<>();
        List<Copto> list = coptoDao.findByTo001AndTo002("251", params.getSaleOutNo());
        list.forEach(s->{
            StockSaleOutDto.StockSaleOutDetail saleOutDetail = new StockSaleOutDto.StockSaleOutDetail();
            saleOutDetail.setDeliverQuantity(s.getTo017());
            saleOutDetail.setPlanOutDate(s.getUdf01());
            saleOutDetail.setMaterialName(StrUtil.trim(s.getTo008()));
            saleOutDetail.setMaterialNo(StrUtil.trim(s.getTo007()));
            saleOutDetail.setUnit(StrUtil.trim(s.getTo010()));
            data.add(saleOutDetail);
        });
        rst.setData(data);
        rst.setApplyNo(params.getSaleOutNo());
        return rst;
    }

}
